Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006559 [JEDI VCL] 02 Installation crash always 2017-03-27 06:31 2017-04-11 20:20
Reporter Shira View Status public  
Assigned To
Priority normal Resolution fixed  
Status closed   Product Version Daily / GIT
Summary 0006559: Can't install with 10.2 Tokyo
Description Windows 10 Pro (10.0.14393)

JVCL 3.50.0.0

[Generating: Packages]
Generating packages for D25_x64
    Loaded template.dpk
    Loaded template.dproj
    Loaded template.rc
[Compiling: Packages]
[Compiling: JvCore250.bpl]
Embarcadero Delphi for Win64 compiler version 32.0
Copyright (c) 1983,2016 Embarcadero Technologies, Inc.
C:\XE10\JEDI\jvcl\run\JvGnugettext.pas(1027) Error: E2250 There is no overloaded version of 'EnumResourceModules' that can be called with these arguments
C:\XE10\JEDI\jvcl\run\JvGnugettext.pas(1827) Warning: W1000 Symbol 'GetWideStrProp' is deprecated: 'use GetStrProp'
C:\XE10\JEDI\jvcl\run\JvGnugettext.pas(1830) Warning: W1000 Symbol 'GetUnicodeStrProp' is deprecated: 'use GetStrProp'
JvCore.dpk(2010) Fatal: F2063 Could not compile used unit 'JvGnugettext.pas'
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0021418)
Shira (reporter)
2017-03-28 10:35

more issues

C:\XE10\JEDI\jvcl\run\JvAppIniStorage.pas(261) Error: E2361 Cannot access private symbol TMemIniFile.FSections
C:\XE10\JEDI\jvcl\run\JvAppIniStorage.pas(261) Warning: W1023 Comparing signed and unsigned types - widened both operands
C:\XE10\JEDI\jvcl\run\JvAppIniStorage.pas(261) Error: E2014 Statement expected, but expression of type 'Boolean' found
C:\XE10\JEDI\jvcl\run\JvAppIniStorage.pas(274) Error: E2361 Cannot access private symbol TMemIniFile.FSections
JvCore.dpk(2051) Fatal: F2063 Could not compile used unit 'JvAppIniStorage.pas'
(0021419)
AHUser (developer)
2017-04-11 19:15

You have an outdated JEDI.INC file somewhere.
(0021420)
Shira (reporter)
2017-04-11 20:10

You are right, please close this. Found several other "jedi.inc" from packages like

- DCPcrypt
- Synapse
- VisualSynapse
- Mfpack
- DSPack
- GDIPlus

Not sure which one/s caused this problem, I just temporarily renamed the folder where I keep my libraries/packages then JVCL installed fine.

- Issue History
Date Modified Username Field Change
2017-03-27 06:31 Shira New Issue
2017-03-28 10:35 Shira Note Added: 0021418
2017-04-11 19:15 AHUser Note Added: 0021419
2017-04-11 20:10 Shira Note Added: 0021420
2017-04-11 20:20 AHUser Status new => closed
2017-04-11 20:20 AHUser Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker